<?php

namespace OrganizationsManagement\Factory;

use OrganizationsManagement\Util\InstanceProvider;
use Teknisa\Model\Teknisa\Entities\OmConfigMedidaVariavel as OmConfigMedidaVariavel;
use Teknisa\Model\Util\NovoCodigo;

class ConfigMedidaVariavel {
    public function save(OmConfigMedidaVariavel $entity = null, $nrProdutoId, $phpScriptLog,
                         $phpScriptCount, $qtdDiasAviso, $qtdDiasReaplicar, $cdTpMedidaServ, $idAtivo, 
                         \Teknisa\Model\Teknisa\Entities\OmProduto $omProduto, $idTpScript) {
        $environment     = InstanceProvider::getEnvironment();
        $currentOperator = $environment->getCurrentUserId();
        $currentNrorg    = $environment->getCurrentOrganizationId();
        $dtAtual         = new \DateTime();

        if(!$entity) {
            $entity  = new OmConfigMedidaVariavel();
            $newCode = NovoCodigo::geraCodigo($currentNrorg, "OmConfigMedidaVariavel", 1, 10, false, false);
            $entity->setId($newCode);
            $entity->setDtinclusao($dtAtual);
            $entity->setCdoperinclusao($currentOperator);
            $entity->setNrorginclusao($currentNrorg);
        } else {
            $entity->setDtultatu($dtAtual);
            $entity->setCdoperultatu($currentOperator);
            $entity->setNrorgultatu($currentNrorg);
        }

        $entity->setNrorg($currentNrorg);
        $entity->setIdativo($idAtivo);
        $entity->setNrprodutoId($nrProdutoId);
        $entity->setPhpScriptLog($phpScriptLog);
        $entity->setPhpScriptCount($phpScriptCount);
        $entity->setQtdDiasAviso($qtdDiasAviso);
        $entity->setQtdDiasReaplicar($qtdDiasReaplicar);
        $entity->setCdtpmedidaserv($cdTpMedidaServ);
        $entity->setNrprodutoIdRel($omProduto);
        $entity->setIdtpscript($idTpScript);

        return $entity;
    }
}