/*
Sistemas Integrados TEKNISA
Nome: 0003_HALTRGO.SQL

@C:\web_560\sql\end_conv\oracle\clientes\hal\0003_HALTRGO.sql

Descrio:
	Rotina responsvel por limpar a da data e hora de exportao das autorizaes de fornecimento
do sistema Teknisa que foram alteradas, assim ser possivel exporta-las novamente para o sistema
MX  Manager, rotina especifica do cliente Hospital Aliana.

Criao:
24/05/2012 - Jefferson de Melo Gouvea

*/

CREATE OR REPLACE TRIGGER USR_EXPORT_AF_MX
AFTER UPDATE ON ITEMAUTF FOR EACH ROW
BEGIN
   /*Grava o valor nulo no campo DTEXPORTACAO da tabela autoforne,
     desta forma  possivel identificar o que foi exportado durante a
     ultima exportao.*/
   UPDATE AUTOFORNE
	   SET HAL_DTEXPORTACAO = NULL
    WHERE CDFILDEST   = :OLD.CDFILDEST
	   AND CDFILLANC   = :OLD.CDFILLANC
  		AND NRAUTOFORN  = :OLD.NRAUTOFORN;
END;
/


CREATE OR REPLACE TRIGGER USR_EXCLUIR_NF
BEFORE DELETE ON NFRELACAF FOR EACH ROW
BEGIN
   UPDATE AUTOFORNE
      SET HAL_DTEXPORTACAO = NULL
    WHERE CDFILDEST   = :OLD.CDFILDEST
      AND CDFILLANC   = :OLD.CDFILLANC
      AND NRAUTOFORN  = :OLD.NRAUTOFORN;

   UPDATE ITEMAUTF
      SET HAL_DTEXPORTACAO = NULL
    WHERE CDFILDEST   = :OLD.CDFILDEST
      AND CDFILLANC   = :OLD.CDFILLANC
      AND NRAUTOFORN  = :OLD.NRAUTOFORN;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('USR_EXPORT_AF_MX','5.60.XXX'); END;
/
